Imports myCSoft.Classes.Serialization.XML

Public Class ProgOptions
   Private _SpeedX() As Integer = {1, 4, 10}
   Private _SpeedY() As Integer = {1, 4, 10}
   Private _InvX As Integer = 1
   Private _InvY As Integer = 1
   Private _InvButtons As Boolean = True

   ''' <summary>
   ''' Geschwindigkeiten fr die 3 Stufen der X-Achse
   ''' </summary>
   ''' <value></value>
   ''' <returns></returns>
   ''' <remarks></remarks>
   Public Property SpeedX() As Integer()
      Get
         Return _SpeedX
      End Get
      Set(ByVal value As Integer())
         _SpeedX = value
      End Set
   End Property

   ''' <summary>
   ''' Geschwindigkeiten fr die 3 Stufen der Y-Achse
   ''' </summary>
   ''' <value></value>
   ''' <returns></returns>
   ''' <remarks></remarks>
   Public Property SpeedY() As Integer()
      Get
         Return _SpeedY
      End Get
      Set(ByVal value As Integer())
         _SpeedY = value
      End Set
   End Property

   Public Property InvX() As Integer
      Get
         Return _InvX
      End Get
      Set(ByVal value As Integer)
         _InvX = value
      End Set
   End Property

   Public Property InvY() As Integer
      Get
         Return _InvY
      End Get
      Set(ByVal value As Integer)
         _InvY = value
      End Set
   End Property

   Public Property InvButtons() As Boolean
      Get
         Return _InvButtons
      End Get
      Set(ByVal value As Boolean)
         _InvButtons = value
      End Set
   End Property


   ''' <summary>
   ''' Ldt die Options aus der angegebenen Datei und gibt das gelesene
   ''' ProgOptions-Exemplar aus
   ''' </summary>
   ''' <param name="FileName"></param>
   ''' <returns></returns>
   ''' <remarks></remarks>
   Public Shared Function LoadFromFile(ByVal FileName As String) As ProgOptions
      If Not IO.File.Exists(FileName) Then Return Nothing
      Dim FS As New IO.FileStream(FileName, IO.FileMode.Open, IO.FileAccess.Read)
      'Dim O As ProgOptions = .Deserialize(Of ProgOptions)(FS)
      FS.Close()

        Return Nothing
   End Function

   ''' <summary>
   ''' Speichert dieses Exemplar in die angegebene Datei
   ''' </summary>
   ''' <param name="FileName"></param>
   ''' <remarks></remarks>
   Public Sub Save(ByVal FileName As String)
      If IO.File.Exists(FileName) Then IO.File.Delete(FileName)
      Dim FS As New IO.FileStream(FileName, IO.FileMode.OpenOrCreate, IO.FileAccess.Write)
      'Serializer.Serialize(Me, Me.GetType, FS)
      FS.Close()


   End Sub
End Class
